> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> Get a list of `ACTIVE` customers from your vault.  The default sort order is `CREATED DATE DESCENDING`.



## OpenAPI

````yaml swagger-001.json GET /v1/transactions
openapi: 3.0.4
info:
  title: Ecrypt API
  description: Ecrypt API
  termsOfService: https://ecrypt.com
  contact:
    name: Dev Support
    url: https://developer.ecrypt.com
    email: devsupport@ecrypt.com
  version: v1
servers:
  - url: https://api.ecrypt.com
    description: Live
security:
  - x-api-key: []
paths:
  /v1/transactions:
    get:
      tags:
        - Transactions
      summary: List Transactions
      description: >-
        Get a list of `ACTIVE` customers from your vault.  The default sort
        order is `CREATED DATE DESCENDING`.
      parameters:
        - name: Page
          in: query
          description: "Page of results being requested.\r\n\r\nDefault: 1"
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
            example: 1
          example: 1
        - name: Size
          in: query
          description: "Size of the page of results being requested.\r\n\r\nDefault: 100"
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            example: 100
          example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ecrypt.Gateway.Api.Core.Model.PaginationResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.PaginationResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.Pagination'
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionDto
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        requestId:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Pagination:
      type: object
      properties:
        totalRecords:
          type: integer
          description: Total number of records.
          format: int32
        currentPage:
          type: integer
          description: Current page number.
          format: int32
        totalPages:
          type: integer
          description: Total number of pages.
          format: int32
        pageSize:
          type: integer
          format: int32
      additionalProperties: false
      description: ''
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionDto:
      type: object
      properties:
        transactionId:
          type: integer
          format: uint64
        type:
          type: string
        tender:
          type: string
        paymentName:
          type: string
          nullable: true
        paymentNetwork:
          type: string
          nullable: true
        paymentAccount:
          type: string
          nullable: true
        paymentAccountExpiry:
          type: string
          nullable: true
        amount:
          type: number
          format: decimal
        authorizationAmount:
          type: number
          format: decimal
          nullable: true
        capturedAmount:
          type: number
          format: decimal
          nullable: true
        gratuityAmount:
          type: number
          format: decimal
          nullable: true
        surchargeAmount:
          type: number
          format: decimal
          nullable: true
        settlementAmount:
          type: number
          format: decimal
          nullable: true
        voidedAmount:
          type: number
          format: decimal
          nullable: true
        referenceTransactionId:
          type: number
          format: decimal
          nullable: true
        approvalCode:
          type: string
          nullable: true
        avsCode:
          type: string
          nullable: true
        cvvCode:
          type: string
          nullable: true
        enhanced:
          type: boolean
          nullable: true
        status:
          type: string
        created:
          type: string
          description: Create date time represented in UTC.
          format: date-time
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
        message: {}
      additionalProperties: false
      nullable: true
  securitySchemes:
    x-api-key:
      type: apiKey
      description: Authorization by x-api-key inside request's header
      name: x-api-key
      in: header

````